## bento4-dmo 1.6.0.640

=== debian/changelog ===
bento4-dmo (1.6.0.640-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 May 2023 08:36:26 +0200

bento4-dmo (1.6.0.639-dmo2) unstable; urgency=medium

  * Add patch to fix powerpc endianess.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Jan 2023 13:29:10 +0100

bento4-dmo (1.6.0.639-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Jan 2023 16:25:39 +0100

## bento4-dmo 1.6.0.641

=== CMakeLists.txt ===
# cmake -DCMAKE_BUILD_TYPE=Debug ..
# cmake -DCMAKE_BUILD_TYPE=Release ..
if(MSVC)
  cmake_policy(SET CMP0091 NEW)
  cmake_minimum_required(VERSION 3.15)
else()
  cmake_minimum_required(VERSION 3.10)
endif()

function(get_bento4_version)
  file(STRINGS "Source/C++/Core/Ap4Version.h" _temp REGEX "AP4_VERSION_STRING")
  string(REGEX MATCH "\"([^\"]+)\"" _temp "${_temp}")
  set(BENTO4_VERSION "${CMAKE_MATCH_1}" PARENT_SCOPE)
endfunction()

get_bento4_version()
set(CMAKE_OSX_ARCHITECTURES "arm64;x86_64" CACHE STRING "")
project(bento4 VERSION "${BENTO4_VERSION}")

# Variables
set(SOURCE_ROOT ${CMAKE_CURRENT_SOURCE_DIR}/Source/C++)
set(SOURCE_CODECS ${SOURCE_ROOT}/Codecs)
set(SOURCE_CORE ${SOURCE_ROOT}/Core)
set(SOURCE_CRYPTO ${SOURCE_ROOT}/Crypto)
set(SOURCE_METADATA ${SOURCE_ROOT}/MetaData)
set(SOURCE_SYSTEM ${SOURCE_ROOT}/System)

# Compiler warning and optimization flags
if(CMAKE_C_COMPILER_ID MATCHES "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-class-memaccess")
endif()

if (EMSCRIPTEN)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-warn-absolute-paths")
endif()

set(CMAKE_OSX_DEPLOYMENT_TARGET 10.12)

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /GF /Gy /GR")
endif()

# AP4 Library
file(GLOB AP4_SOURCES
  ${SOURCE_CODECS}/*.cpp
  ${SOURCE_CORE}/*.cpp
  ${SOURCE_CRYPTO}/*.cpp
  ${SOURCE_METADATA}/*.cpp
  ${SOURCE_SYSTEM}/StdC/*.cpp
)

# Platform specifics
if(WIN32)
  set(AP4_SOURCES ${AP4_SOURCES} ${SOURCE_SYSTEM}/Win32/Ap4Win32Random.cpp)
else()
  set(AP4_SOURCES ${AP4_SOURCES} ${SOURCE_SYSTEM}/Posix/Ap4PosixRandom.cpp)
endif()

# Includes
set(AP4_INCLUDE_DIRS
  $<BUILD_INTERFACE:${SOURCE_CORE}>
  $<BUILD_INTERFACE:${SOURCE_CODECS}>
  $<BUILD_INTERFACE:${SOURCE_CRYPTO}>
  $<BUILD_INTERFACE:${SOURCE_METADATA}>
)
file(GLOB AP4_HEADERS
  ${SOURCE_CORE}/*.h
  ${SOURCE_CODECS}/*.h
  ${SOURCE_CRYPTO}/*.h
  ${SOURCE_METADATA}/*.h
)

add_library(ap4 STATIC ${AP4_SOURCES})
target_include_directories(ap4 PUBLIC
  ${AP4_INCLUDE_DIRS}
)

# Use the statically linked C runtime library
if(MSVC)
  set_property(TARGET ap4 PROPERTY MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
  target_compile_definitions(ap4 PRIVATE -D_LIB)
endif()

# Apps
option(BUILD_APPS "Build example applications" ON)
if(BUILD_APPS)
file(GLOB BENTO4_APPS RELATIVE ${SOURCE_ROOT}/Apps ${SOURCE_ROOT}/Apps/*)
foreach(app ${BENTO4_APPS})
  string(TOLOWER ${app} binary_name)
  list(APPEND BENTO4_APPS_LOWERCASE ${binary_name})
  add_executable(${binary_name} ${SOURCE_ROOT}/Apps/${app}/${app}.cpp)
  target_link_libraries(${binary_name} ap4)

  if(MSVC)
    set_property(TARGET ${binary_name} PROPERTY MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
    target_compile_definitions(${binary_name} PRIVATE -D_CONSOLE)
  endif()
endforeach()
endif(BUILD_APPS)

# Install
include(GNUInstallDirs)
set(config_install_dir "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")
set(generated_dir "${CMAKE_CURRENT_BINARY_DIR}/generated")
set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
set(namespace "${PROJECT_NAME}::")

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    "${version_config}" COMPATIBILITY SameMajorVersion
)

configure_package_config_file(
    "Build/cmake/Config.cmake.in"
    "${project_config}"
    INSTALL_DESTINATION "${config_install_dir}"
)

install(
    TARGETS ap4 ${BENTO4_APPS_LOWERCASE}
    EXPORT "${TARGETS_EXPORT_NAME}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

install(
    FILES ${AP4_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/bento4"
)

install(
    FILES "${project_config}" "${version_config}"
    DESTINATION "${config_install_dir}"
)

install(
    EXPORT "${TARGETS_EXPORT_NAME}"
    NAMESPACE "${namespace}"
    DESTINATION "${config_install_dir}"
)

=== debian/changelog ===
bento4-dmo (1.6.0.641-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Nov 2023 08:38:17 +0100

=== debian/control ===
Source: bento4-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.bento4.com/
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), cmake, ninja-build

Package: bento4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: mp4v2-utils
Description: MP4, DASH, HLS, CMAF SDK and Tools
 Bento4 is a C++ class library and tools designed to read and write ISO-MP4
 files. This format is defined in international specifications ISO/IEC
 14496-12, 14496-14 and 14496-15. The format is a derivative of the Apple
 Quicktime file format, so Bento4 can be used to read and write most
 Quicktime files as well. In addition to supporting ISO-MP4, Bento4 includes
 support for parsing and multiplexing H.264 and H.265 elementary streams,
 converting ISO-MP4 to MPEG2-TS, packaging HLS and MPEG-DASH, CMAF, content
 encryption, decryption, and much more.

#Package: libap4
#Architecture: any
#Section: libs
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: MP4, DASH, HLS, CMAF SDK and Tools
# Bento4 is a C++ class library and tools designed to read and write ISO-MP4
# files. This format is defined in international specifications ISO/IEC
# 14496-12, 14496-14 and 14496-15. The format is a derivative of the Apple
# Quicktime file format, so Bento4 can be used to read and write most
# Quicktime files as well. In addition to supporting ISO-MP4, Bento4 includes
# support for parsing and multiplexing H.264 and H.265 elementary streams,
# converting ISO-MP4 to MPEG2-TS, packaging HLS and MPEG-DASH, CMAF, content
# encryption, decryption, and much more.

Package: libap4-dev
Architecture: any
Section: libdevel
#Depends: libap4, ${misc:Depends}
Depends: ${misc:Depends}
Description: MP4, DASH, HLS, CMAF SDK and Tools
 Bento4 is a C++ class library and tools designed to read and write ISO-MP4
 files. This format is defined in international specifications ISO/IEC
 14496-12, 14496-14 and 14496-15. The format is a derivative of the Apple
 Quicktime file format, so Bento4 can be used to read and write most
 Quicktime files as well. In addition to supporting ISO-MP4, Bento4 includes
 support for parsing and multiplexing H.264 and H.265 elementary streams,
 converting ISO-MP4 to MPEG2-TS, packaging HLS and MPEG-DASH, CMAF, content
 encryption, decryption, and much more.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_SKIP_BUILD_RPATH=ON

manpages:
	for tool in mp4info mp4dump mp4edit mp4extract mp4encrypt mp4decrypt \
	mp4dcfpackager mp4compact mp4fragment mp4split mp4tag mp4mux mp42aac \
	mp42avc mp42hevc mp42hls mp42ts mp4dash mp4dashclone mp4hls; do \
	pandoc -s -t man Documents/MkDocs/src/documentation/$$tool.md > debian/$$tool.1; \
	done 

override_dh_auto_test:
override_dh_dwz:

=== debian/watch ===
version=4

opts="uversionmangle=s/-/\./g" \
https://www.bok.net/Bento4/source/Bento4-SRC-(.*)@ARCHIVE_EXT@
